HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Calendar Dates

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve actual event dates for calendars, such as holiday dates, billing cycle dates, and pricing-period event dates.

Use this endpoint when you need the concrete CalendarDate records for a calendar, utility, locale, date range, event type, or date-definition type.

Resource URI

GET /rest/public/calendars/dates

Query parameters

ParameterTypeDescription
calendarIdLongReturn only dates for a specific calendar. Optional.
lseIdLongReturn dates for a specific utility. Optional. You do not need to send this when calendarId is supplied.
localeStringISO country code of the locale to return, such as US. Optional.
fromDateTimeDateTimeReturn event dates on or after this date. Optional.
toDateTimeDateTimeReturn event dates on or before this date. Optional.
calendarEventTypesStringComma-separated calendar event types to include. Choices are HOLIDAY, BILLING, and PRICING_PERIOD. Optional.
dateDefinitionTypesStringComma-separated date definition types to include. Choices are FIXED_DATE, MANUAL, FLOATING_DATE, and EASTER_DATE. Optional.

For the full CalendarDate data model and examples, see Calendars.

Example

GET /rest/public/calendars/dates?calendarId=2&fromDateTime=2015-01-01&toDateTime=2015-12-31

A successful response returns a standard response payload with type set to CalendarDate and results containing matching event dates.

Query Params
int64

Optionally return only dates for a given calendar.

int64

Optional filter for a given utility. Since calendars belong to LSEs, you don’t need to send this if sending calendarId.

string

Optional ISO country code of the locale you are interested in (e.g. US).

date

Event dates on or after this date (Optional).

date

Event dates on or before this date (Optional).

string

Comma separated string that indicates the calendar event types to include. Choices are: HOLIDAY, BILLING, PRICING_PERIOD (Optional).

string

Comma separated string that indicates the date definition types to include. Choices are: FIXED_DATE, MANUAL, FLOATING_DATE, EASTER_DATE (Optional).

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json